WarehousepostBffWarehouseReservationCreate
Parameters
14 body
Body · 14
warehouseIdnumberRequiredlocationIdnumber | nullproductCodestring | nullHuman-readable product code (mutually exclusive with virtualItemSku).
productVariantCodestring | nullVariant code, requires productCode.
virtualItemSkustring | nullFree-form virtual SKU for non-catalogue items.
quantitynumberRequiredRange: 1–∞
modestring | stringorderIdnumber | nullorderItemIdnumber | nullexternalKeystring | nullexpiresAtstring | nullidempotencyKeystring | nullnotestring | nullperformedByMemberIdnumber | nullRequest
POST /bff/warehouse/reservation/create
curl -X POST "https://api.bizkithub.com/bff/warehouse/reservation/create" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"warehouseId": 0,
"quantity": 0
}'Response
JSON payload
{
"success": false,
"reservationId": 0,
"movementId": 0,
"newQuantity": 0,
"newReserved": 0,
"available": 0,
"deduped": false
}All response codes
1 status code documented
Need an API key?
All BizKitHub API endpoints require authentication via API key.